> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# システムチェック

> すべてのシステム components のヘルスをチェックします。

戻り値:
    次のステータスを含む JSON:
    - api: 常に true（エンドポイントに到達可能な場合）
    - database: DB 接続が機能しているかどうか
    - cpu_queue: 成功可否、所要時間、エラーがあればその内容
    - gpu_queue: 成功可否、所要時間、エラーがあればその内容

いずれかのチェックに失敗した場合は HTTP 503 を返します。



## OpenAPI

````yaml /ja/serverless-training/api-reference/openapi.json get /v1/system-check
openapi: 3.1.0
info:
  title: Serverless Training
  version: 1.0.0
servers: []
security: []
paths:
  /v1/system-check:
    get:
      tags:
        - health
      summary: システムチェック
      description: |-
        すべてのシステム components のヘルスをチェックします。

        戻り値:
            次のステータスを含む JSON:
            - api: 常に true（エンドポイントに到達可能な場合）
            - database: DB 接続が機能しているかどうか
            - cpu_queue: 成功可否、所要時間、エラーがあればその内容
            - gpu_queue: 成功可否、所要時間、エラーがあればその内容

        いずれかのチェックに失敗した場合は HTTP 503 を返します。
      operationId: system_check_v1_system_check_get
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: 正常なレスポンス

````